/*
 * FechaFueraDeRangoFActualCampoObligatorio.java
 *
 * Created on 21 de marzo de 2007, 01:14 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 * 
 * @author Julian
 */
public class FechaFueraDeRangoFActualCampoObligatorio extends AbstractRule {

	String DATE_FORMAT = "dd/MM/yyyy";

	SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.

	/** Creates a new instance of CampoVacio */
	public FechaFueraDeRangoFActualCampoObligatorio() {
		sdf = new SimpleDateFormat(DATE_FORMAT);
		sdf.setLenient(false);
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		Date dateCampo = null;
		Date dateMinima = null;

		if (!ValidarFecha.esFecha(field))
			return false;
		try {
			dateCampo = sdf.parse(field);
			dateMinima = sdf.parse((String) getParams()[0]);
		} catch (Exception e) {
			return false;
		}

		Date dateMaxima = Calendar.getInstance().getTime();

		if (dateCampo.after(dateMaxima) || dateCampo.before(dateMinima)) {
			return true;
		}

		return false;
	}
}
